%define 	modulename pam_krb5
Summary:	Kerberos V5 Pluggable Authentication Module
Summary(pl.UTF-8):	Moduł PAM do uwierzytelniania z użyciem Kerberos V5
Name:		pam-%{modulename}
Version:	4.6
Release:	1
Epoch:		1
License:	BSD v2 / GPL v2
Group:		Base
URL:		http://www.eyrie.org/~eagle/software/pam-krb5/
Source0:	http://archives.eyrie.org/software/kerberos/pam-krb5-%{version}.tar.gz
# Source0-md5:	296e9c8281419ce1fc41d537d18f74b8
BuildRequires:	automake
BuildRequires:	heimdal-devel
BuildRequires:	pam-devel
Obsoletes:	pam_krb5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
This is pam_krb5, a pluggable authentication module that can be used
with Linux-PAM and Kerberos V5. This module supports password
checking, ticket creation, and optional TGT verification and
conversion to Kerberos IV tickets if Kerberos V5 was built with
support for Kerberos IV.

%description -l pl.UTF-8
To jest pam_krb5, wymienny moduł uwierzytelniania, który może być
użyty z Linux-PAM i Kerberos V5. Moduł ten wspiera zmienianie haseł,
tworzenie biletów oraz opcjonalną weryfikację i konwersję TGT do
biletów Kerberos IV, w przypadku gdy Kerberos V5 został zbudowany ze
wsparciem dla Kerberos IV.

%prep
%setup -q -n pam-krb5-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_libdir}/security/pam_krb5.so
%{_mandir}/man5/pam_krb5.5*
%changelog
* Fri Oct 05 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_krb5.git;a=log;h=master

* Fri Oct 05 2012 Jan Rękorajski <baggins@pld-linux.org> 0fa6148
- updated to 4.6

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 558189a
- unified %clean section

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 8f2b8b2
- release 2

* Sun Oct 10 2010 Jan Rękorajski <baggins@pld-linux.org> 2d781bc
- 4.3

* Mon Jun 07 2010 hawk <hawk@pld-linux.org> 7fcdf5e
- release 3

* Mon Apr 12 2010 Jan Rękorajski <baggins@pld-linux.org> ee5ac26
- rel 2

* Mon Dec 14 2009 Jan Rękorajski <baggins@pld-linux.org> e7936ba
- rel 3

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 4f53aea
- rel 2

* Tue Nov 24 2009 Jan Rękorajski <baggins@pld-linux.org> 8fda9dd
- up to 4.1

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d8f563
- drop obsolete files

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 5e47462
- rel 2
- build with heimdal unconditionally

* Thu Jun 25 2009 Jan Rękorajski <baggins@pld-linux.org> da24784
- added heimdal bcond

* Thu Mar 26 2009 Elan Ruusamäe <glen@pld-linux.org> afc2b64
- switch away from redhat sources, seems at least maintained
- version 3.13
- not tested, but likely works oob ;)

* Mon Oct 06 2008 Paweł Gołaszewski <blues@pld-linux.org> 0ce96b4
- CVE security note

* Sat Mar 31 2007 Jan Rękorajski <baggins@pld-linux.org> 9e0898c
- rel 4
- build with MIT kerberos by default

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7af4d1e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2952e75
- converted to UTF-8

* Fri Jul 08 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 38742ff
- BR heimdal-devel >= 0.7

* Thu Nov 04 2004 paladine <paladine@pld-linux.org> d8ea65b
- spaces->tabs
- cosmetics

* Thu Aug 19 2004 undefine <undefine@pld-linux.org> 08931ce
- release 2

